---
title: FontFace.style
slug: Web/API/FontFace/style
tags:
  - API
  - CSS Font Loading API
  - CSSOM
  - FontFace
  - Fonts
  - Property
  - Reference
  - Style
---
<div>{{draft}}{{APIRef("CSS Font Loading API")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>style</code></strong> property of the {{domxref("FontFace")}} interface retrieves or sets the font's style. It is equivalent to the {{cssxref("@font-face/font-style", "font-style")}} descriptor.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var style = FontFace.style;
FontFace.style = <em>value</em>;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('CSSOMString')}} containing the descriptors defined in the style sheet's <code>@font-face</code> rule.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Font Loading','#dom-fontface-style','style')}}</td>
   <td>{{Spec2('CSS3 Font Loading')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FontFace.style")}}</p>
